DatePickerSkin (JavaFX 27)
Description: declaration: module: javafx.controls, package: javafx.scene.control.skin, class: DatePickerSkin

# Class DatePickerSkin

java.lang.Object
javafx.scene.control.SkinBase<ComboBoxBase<LocalDate>>
javafx.scene.control.skin.ComboBoxBaseSkin<LocalDate>
javafx.scene.control.skin.ComboBoxPopupControl<LocalDate>
javafx.scene.control.skin.DatePickerSkin

All Implemented Interfaces:
  `Skin<ComboBoxBase<LocalDate>>`

public class DatePickerSkin extends ComboBoxPopupControl<LocalDate>
Default skin implementation for the `DatePicker` control.

Since:
  9
See Also:
  - `DatePicker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatePickerSkin(DatePicker control)`
  Creates a new DatePickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected StringConverter<LocalDate>`
  `getConverter()`
  Subclasses are responsible for getting the converter.
  `Node`
  `getDisplayNode()`
  This method should return a Node that will be positioned within the ComboBox 'button' area.
  `protected TextField`
  `getEditor()`
  Subclasses are responsible for getting the editor.
  `Node`
  `getPopupContent()`
  This method should return the Node that will be displayed when the user clicks on the ComboBox 'button' area.

  ### Methods declared in class ComboBoxPopupControl

  `hide, show`

  ### Methods declared in class SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Constructor Details

  - ### DatePickerSkin

    public DatePickerSkin(DatePicker control)
    Creates a new DatePickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getPopupContent

    public Node getPopupContent()
    This method should return the Node that will be displayed when the user clicks on the ComboBox 'button' area.
    Specified by:
      `getPopupContent` in class `ComboBoxPopupControl<LocalDate>`
    Returns:
      the Node that will be displayed when the user clicks on the ComboBox 'button' area

  - ### getEditor

    protected TextField getEditor()
    Subclasses are responsible for getting the editor. This will be removed in FX 9 when the editor property is moved up to ComboBoxBase with JDK-8130354 Note: ComboBoxListViewSkin should return null if editable is false, even if the ComboBox does have an editor set.
    Specified by:
      `getEditor` in class `ComboBoxPopupControl<LocalDate>`
    Returns:
      the editor

  - ### getConverter

    protected StringConverter<LocalDate> getConverter()
    Subclasses are responsible for getting the converter. This will be removed in FX 9 when the converter property is moved up to ComboBoxBase with JDK-8130354.
    Specified by:
      `getConverter` in class `ComboBoxPopupControl<LocalDate>`
    Returns:
      the string converter

  - ### getDisplayNode

    public Node getDisplayNode()
    This method should return a Node that will be positioned within the ComboBox 'button' area.
    Specified by:
      `getDisplayNode` in class `ComboBoxBaseSkin<LocalDate>`
    Returns:
      the node that will be positioned within the ComboBox 'button' area